package kr.co.tobby48.medihand;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.ApplicationPidFileWriter;
import org.springframework.context.annotation.Bean;

import com.fasterxml.jackson.datatype.hibernate5.Hibernate5Module;

@SpringBootApplication
public class MedihandApplication {

	public static void main(String[] args) {
		SpringApplication app = new SpringApplication(MedihandApplication.class);
	    app.addListeners(new ApplicationPidFileWriter()); // ApplicationPidFileWriter 설정
	    app.run(args);
	}
	@Bean
    Hibernate5Module hibernate5Module(){
        return new Hibernate5Module();
    }

}
